Subject: RE: [Sigtran] Routing Context in the M3ua ASPAC message

From: "Bui, MyHanh" <[email-masked]>
Date: Fri, 19 May 2006 16:52:01 -0700

Thanks.  But how about ASP active ack?  ASP AC ACK should not be sent to the ASP, right?  
Because the ASP AC ACK should contain the RC if the received ASP AC does have this field. But in this case, this field is invalid.

MyHanh

-----Original Message-----
From: Brian F. G. Bidulock [mailto:[email-masked]]
Sent: Friday, May 19, 2006 4:44 PM
To: Bui, MyHanh
Cc: sigtran
Subject: Re: [Sigtran] Routing Context in the M3ua ASPAC message

Bui,,

RFC 3332, last sentence of the second paragraph at the top of Page 81:

   "... The SGP or IPSP MUST send an ERROR message ("Invalid Routing
   Context") for each Routing Context value that the ASP cannot [sic]
   be successfully activated ."

--brian

On Fri, 19 May 2006, Bui, MyHanh wrote:

> 
>    Hi All,
> 
>    In  the  Internet Draft of Feb, 2006 or RFC 3332, section 4.3.4.3 page
>    74, I don't see any phrases that match my case:
>    When  receiving the ASP Active message with an invalid Routing context
>    because  it  doesn'  t match what is preconfigured, and the ASP is not
>    marked as ACTIVE yet, what should the SGP do?
> 
>    I  believe  it  should  just  send  error message with invalid routing
>    context, and NOT responds with the ASP AC ACK.  Please confirm if this
>    is correct?
> 
>    MyHanh

> _______________________________________________
> Sigtran mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/sigtran

-- 
Brian F. G. Bidulock    ¦ The reasonable man adapts himself to the ¦
[email-masked]    ¦ world; the unreasonable one persists in  ¦
http://www.openss7.org/ ¦ trying  to adapt the  world  to himself. ¦
                        ¦ Therefore  all  progress  depends on the ¦
                        ¦ unreasonable man. -- George Bernard Shaw ¦

_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Fri, 19 May 2006 18:02:30 -0600

Bui,,

RFC 3332, first sentence, last paragraph page 80:

   "For the Application Servers that the ASP can [sic] be successfully
    activated, the SGP or IPSP response with one or more ASP Active Ack
    messages, including the associated Routing Context(s) and reflecting
    any Traffic Mode Type value present in the related ASP Active
    message."

Is this not clear that ASP Active Ack is sent for each ASP successuflly
activated and ERROR ("Invalid Routing Context") for each that cannot?

--brian